<table width="99%" align="center"><tr><td>
<?php
//v1.4 www.bcoos.net 2006-08 GPL
//v1.3 www.exoops.info 2006/03 GPL
// $Id: dbform.php,v 1.2 2003/02/19 10:03:30 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
$form = new XoopsThemeForm("", "dbform", "./install.php");
	$db_select = new XoopsFormSelect(_INSTALL_DF_DB."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_DB1."</span><b>", "database", $database);
	$db_select->addOption("mysql", "MySQL");
	$dbhost_text      = new XoopsFormText(_INSTALL_DF_HOST."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_HOST1."</span><b>", "dbhost", 30, 100, $dbhost);
	$dbuname_text     = new XoopsFormText(_INSTALL_DF_UNAME."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_UNAME1."</span><b>", "dbuname", 30, 100, $dbuname);
	$dbpass_text      = new XoopsFormPassword(_INSTALL_DF_PASS."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_PASS1."</span><b>", "dbpass", 30, 100, $dbpass);
	$dbname_text      = new XoopsFormText(_INSTALL_DF_DBNAME."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_DBNAME1."</span><b>", "dbname", 30, 100, $dbname);
	$dbprefix_text    = new XoopsFormText(_INSTALL_DF_PREFIX."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_PREFIX1."</span><b>", "prefix", 30, 100, $prefix);
	$dbpconnect_radio = new XoopsFormRadioYN(_INSTALL_DF_PCONNECT."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_PCONNECT1."</span><b>", "db_pconnect", $db_pconnect, _YES, _NO);
	$rootpath_text    = new XoopsFormText(_INSTALL_DF_PATH."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_PATH1."</span><b>", "root_path", 50, 100, $root_path);
	$xoopsurl_text    = new XoopsFormText(_INSTALL_DF_URL."<br /><br /></b><span style='font-size: large;'>"._INSTALL_DF_URL1."</span><b>", "xoops_url", 50, 100, $xoops_url);
	$op_hidden        = new XoopsFormHidden("op", "dbconfirm");
	$submit_button    = new XoopsFormButton("", "dbsubmit", _NEXT, "submit");
	$form->addElement($db_select);
	$form->addElement($dbhost_text);
	$form->addElement($dbuname_text);
	$form->addElement($dbpass_text);
	$form->addElement($dbname_text);
	$form->addElement($dbprefix_text);
	$form->addElement($dbpconnect_radio);
	$form->addElement($rootpath_text);
	$form->addElement($xoopsurl_text);
	$form->addElement($op_hidden);
	$form->addElement($submit_button);
	$form->setRequired(array('dbhost', 'dbname', 'prefix', 'root_path', 'xoops_url'));
$form->display();
?>
</td></tr></table>
<script type="text/javascript">
re      = /\/_install.*/gi;
str     = top.location.href;
result  = str.replace(re, "");
current = "<?php echo XOOPS_URL;?>";
if (result != current) {
	xoopsGetElementById("xoops_url").value = result;
}
</script>
